var PAGE_VIDEO = 0;
var PAGE_IMAGE = 1;

var currentPage = PAGE_VIDEO;

var videoSelectAllFlag = true;
var imageSelectAllFlag = true;

// 下面这些内容的值都是动态写入的
var videoNaviNormalImgSrc;
var videoNaviSelectedImgSrc;
var imageNaviNormalImgSrc;
var imageNaviSelectedImgSrc;

// 多语言文案
var multilanVideo;
var multilanImage;
var multilanFilename;
var multilanSize;
var multilanSelectall;
var multilanUnselectall;
var multilanDownload;

/* --------Report----------- */

function report(content) {
    var xmlhttp;
    if (window.XMLHttpRequest) {
    // code for IE7+, Firefox, Chrome, Opera, Safari
        xmlhttp = new XMLHttpRequest();
    } else {// code for IE6, IE5
        xmlhttp = new ActiveXObject('Microsoft.XMLHTTP');
    }

    xmlhttp.open('GET', 'report', true);
    xmlhttp.setRequestHeader('report', content);
    xmlhttp.send();
}

/*------------------Navigation---------------------------*/
function refreshPageByCurrentState() {
    var videoDev;
    var imageDev;

    videoDev = $('#frame_video');
    imageDev = $('#frame_image');

    var naviVideoText;
    var naviImageText;

    naviVideoText = $('#navi_video_text');
    naviImageText = $('#navi_image_text');

    var naviVideoIcon;
    var naviImageIcon;
    naviVideoIcon = $('#navi_video_icon');
    naviImageIcon = $('#navi_image_icon');

    console.log('currentPage:' + currentPage);

    if (currentPage == PAGE_VIDEO) {
        videoDev.show();
        imageDev.hide();

        naviVideoText.css('color', '#f93');
        naviImageText.css('color', '#777');

        naviVideoIcon.attr('src', videoNaviSelectedImgSrc);
        naviImageIcon.attr('src', imageNaviNormalImgSrc);

        report('pc_vid_show');
    } else {
        videoDev.hide();
        imageDev.show();

        naviVideoText.css('color', '#777');
        naviImageText.css('color', '#f93');

        naviVideoIcon.attr('src', videoNaviNormalImgSrc);
        naviImageIcon.attr('src', imageNaviSelectedImgSrc);

        report('pc_scr_show');
    }
}

function navToVideosPage() {
    currentPage = PAGE_VIDEO;

    refreshPageByCurrentState();

    refreshButtonByVideoFlag();
}

function navToImagesPage() {

    currentPage = PAGE_IMAGE;

    refreshPageByCurrentState();

    refreshButtonByImageFlag();
}

/*------------------Video Select---------------------------*/

function refreshButtonByVideoFlag() {
    console.log('videoSelectAllFlag:' + videoSelectAllFlag);

    if (videoSelectAllFlag) {
        $('#select_all').text(multilanSelectall);
    } else {
        $('#select_all').text(multilanUnselectall);
    }
}

function videoSelectOnClick() {
    videoSelectAllFlag = false;

    var checkboxs;
    checkboxs = $('.video-checkbox');

    var len;
    len = checkboxs.length;
    for (var i = 0; i < len; i++) {
        if (!$(checkboxs[i]).prop('checked')) {
            videoSelectAllFlag = true;
            break;
        }
    }

    refreshButtonByVideoFlag();
}

function videoSelectAll() {
    console.log('videoSelectAll');

    var checkboxs;
    checkboxs = $('.video-checkbox');

    var len;
    len = checkboxs.length;
    for (var i = 0; i < len; i++) {
        $(checkboxs[i]).prop('checked', true);
    }

    videoSelectAllFlag = false;
    $('#select_all').text(multilanUnselectall);
}

function videoDisselectAll() {
    console.log('videoDisselectAll');

    var checkboxs;
    checkboxs = $('.video-checkbox');

    var len;
    len = checkboxs.length;
    for (var i = 0; i < len; i++) {
        $(checkboxs[i]).prop('checked', false);
    }

    videoSelectAllFlag = true;
    $('#select_all').text(multilanSelectall);
}

function videoSelectButtonClick() {
    if (videoSelectAllFlag) {
        videoSelectAll();
    } else {
        videoDisselectAll();
    }
}

/*------------------Image Select---------------------------*/
function refreshButtonByImageFlag() {
    console.log('imageSelectAllFlag:' + imageSelectAllFlag);

    if (imageSelectAllFlag) {
        $('#select_all').text(multilanSelectall);
    } else {
        $('#select_all').text(multilanUnselectall);
    }
}

function imageSelectOnClick() {
    imageSelectAllFlag = false;

    var checkboxs;
    checkboxs = $('.image-checkbox');

    var len;
    len = checkboxs.length;
    for (var i = 0; i < len; i++) {
        if (!$(checkboxs[i]).prop('checked')) {
            imageSelectAllFlag = true;
            break;
        }
    }

    refreshButtonByImageFlag();
}

function imageSelectAll() {
    console.log('imageSelectAll');

    var checkboxs;
    checkboxs = $('.image-checkbox');

    var len;
    len = checkboxs.length;
    for (var i = 0; i < len; i++) {
        $(checkboxs[i]).prop('checked', true);
    }

    imageSelectAllFlag = false;
    refreshButtonByImageFlag();
}

function imageDisselectAll() {
    console.log('imageDisselectAll');

    var checkboxs;
    checkboxs = $('.image-checkbox');

    var len;
    len = checkboxs.length;
    for (var i = 0; i < len; i++) {
        $(checkboxs[i]).prop('checked', false);
    }

    imageSelectAllFlag = true;
    refreshButtonByImageFlag();
}

function imageSelectButtonClick() {
    if (imageSelectAllFlag) {
        imageSelectAll();
    } else {
        imageDisselectAll();
    }
}

/*------------------Select---------------------------*/

function selectAllButtonClick() {
    if (currentPage == PAGE_VIDEO) {
        videoSelectButtonClick();
    } else {
        imageSelectButtonClick();
    }
}

/*------------------Download---------------------------*/
function videoDownloadSelected() {
    console.log('videoDownloadSelected');

    var checkboxs;
    var myArray = new Array();
    checkboxs = $('.video-checkbox');

    for (var i = 0,
    len = checkboxs.length; i < len; i++) {
        if ($(checkboxs[i]).prop('checked')) {
            var videoElement;
            videoElement = $(checkboxs[i]).next();
            myArray.push($(videoElement).attr('url'));
        }
    }

    var len2 = myArray.length;
    for (var i = 0; i < len2; i++) {
        window.open(myArray[i]);
    }
}

function imageDownloadSelected() {
    console.log('imageDownloadSelected');

    var checkboxs;
    checkboxs = $('.image-checkbox');

    for (var i = 0,
    len = checkboxs.length; i < len; i++) {
        if ($(checkboxs[i]).prop('checked')) {
            var imageLink;
            imageLink = $(checkboxs[i]).next();

            window.open($(imageLink).attr('url'));
        }
    }

}

function downloadSelected() {

    if (currentPage == PAGE_VIDEO) {
        videoDownloadSelected();
    } else {
        imageDownloadSelected();
    }
}


/* --------Main----------- */
$(document).ready(function () {
    console.log('JQuery ');

    // 导航条：视频
    var videoBtn;
    videoBtn = $('#navi_video_div');
    videoBtn.click(function () {
        navToVideosPage();
    });
    $('#navi_video_text').text(multilanVideo);

    // 导航条：图片
    var imageBtn;
    imageBtn = $('#navi_image_div');
    imageBtn.click(function () {
        navToImagesPage();
    });
    $('#navi_image_text').text(multilanImage);

    // 视频条目(标题，尺寸)
    $('#video_name_title').text(multilanFilename);
    $('#video_size_title').text(multilanSize);

    // 视频checkbox
    var checkboxs;
    checkboxs = $('.video-checkbox');
    var len;
    len = checkboxs.length;
    for (var i = 0; i < len; i++) {
        $(checkboxs[i]).click(function () {
            videoSelectOnClick();

            var checked;
            checked = $(this).prop('checked');
            if (checked) {
                report('pc_vid_select');
            } else {
                report('pc_vid_unselect');
            }
        });
    }

    // 图片条目(标题，尺寸)
    $('#image_name_title').text(multilanFilename);
    $('#image_size_title').text(multilanSize);

    // 图片checkbox
    checkboxs = $('.image-checkbox');
    len = checkboxs.length;
    for (var i = 0; i < len; i++) {
        $(checkboxs[i]).click(function () {
            imageSelectOnClick();

            var checked;
            checked = $(this).prop('checked');
            if (checked) {
                report('pc_scr_select');
            } else {
                report('pc_scr_unselect');
            }
        });
    }

    // 全选按钮
    $('#select_all').on('click',
    function () {
        var selectAll;
        selectAll = $(this).text() === multilanSelectall;

        if (selectAll) {
            report('pc_selectall');
        } else {
            report('pc_unselectall');
        }

        selectAllButtonClick();
    });

    $('#download_selected').click(function () {
        downloadSelected();

        report('pc_download');
    });
    $('#download_selected').text(multilanDownload);

    navToVideosPage();
})